// TYPE: C
// PRJ: JCL
// PGM: Jiro_String
// VER: 3.00
// USES: CodeWarrior, Xcode, Visual C++ 6.0-10.0, JCL
// CREATE: 1999/02/21( Siratori )
// UPDATE: 1999/10/01( Siratori )
// UPDATE: 2003/04/09( tsunoda )
// UPDATE: 2005/03/15( hisa )
// UPDATE: 2007/02/20( hisa, igari )
// UPDATE: 2007/08/28( tamura )
// UPDATE: 2008/06/06( tamura, sugimoto )
// UPDATE: 2009/05/13( hisa )
// UPDATE: 2009/08/18( hisa )
// UPDATE: 2009/07/30( hisa )
// UPDATE: 2011/07/20( hisa )
// UPDATE: 2012/06/05( wat )
/////////////////////////////////////////////////////
#ifndef __JIRO_STRINGS__
#define __JIRO_STRINGS__

#ifdef __cplusplus
extern "C" {
#endif
	
//***********************************************************
// O֐̃vg^Cv錾
//***********************************************************
//-------------------------------------------------------------
// ֐ : Jiro_Pstrcpy
// @\ : pXJRs[
//-------------------------------------------------------------
void Jiro_Pstrcpy( unsigned char* outDestStr, unsigned char* inSrcStr );

//-------------------------------------------------------------
// ֐ : Jiro_Pstrcat
// @\ : pXJA
//-------------------------------------------------------------
void Jiro_Pstrcat( unsigned char* ioStr, unsigned char* inAddStr );

//-------------------------------------------------------------
// ֐ : Jiro_Cstr2Pstr
// @\ : bpXJɕϊ
//-------------------------------------------------------------
void Jiro_Cstr2Pstr( unsigned char* outDestStr, const char* inSrcStr );

//-------------------------------------------------------------
// ֐ : Jiro_Pstr2Cstr
// @\ : pXJbɕϊ
//-------------------------------------------------------------
void Jiro_Pstr2Cstr( char* outDestStr, const unsigned char* inSrcStr );

//-------------------------------------------------------------
// ֐ : Jiro_CutStringLength
// @\ : 񒷂w肳ꂽŃJbg
//-------------------------------------------------------------
void Jiro_CutStringLength( char* ioStr, long inLength );

//-------------------------------------------------------------
// ֐ : Jiro_GetCharAttr
// @\ : ̑擾
// ߂lF 0FpAPFSp̂PoCgځAQFSp̂QoCg
// 1999.10.1-1 add
//-------------------------------------------------------------
short Jiro_GetCharAttr( unsigned char* ioStr, long nOff );

//-------------------------------------------------------------
// ֐ : Jiro_IsZenkaku1
// @\ : Sp̂PoCgځH
//-------------------------------------------------------------
bool Jiro_IsZenkaku1( unsigned char inCh );

//-------------------------------------------------------------
// ֐ : Jiro_IsZenkaku2
// @\ : Sp̂QoCgځH
// ߒlF trueiSp̂QoCgځjAfalseiSp̂QoCgڂł͂Ȃj
//-------------------------------------------------------------
bool Jiro_IsZenkaku2( unsigned char inCh );

//-------------------------------------------------------------
// ֐ : Jiro_IsNumberStr
// @\ : lH
// ߒl : trueiljAfalseilł͂Ȃj
//-------------------------------------------------------------
bool Jiro_IsNumberStr( char* inStr );

//-------------------------------------------------------------
// ֐ : Jiro_IsNumOrPeriodStr
// @\ : l܂̓sIh̕H
// ߒl : trueiljAfalseilł͂Ȃj
//-------------------------------------------------------------
bool Jiro_IsNumOrPeriodStr( char* inStr );

//-------------------------------------------------------------
// ֐ : Jiro_LongToCommaString
// @\ : lR}t̕ɕϊ
//-------------------------------------------------------------
void Jiro_LongToCommaString( long inNum, char* outDestStr );

//-------------------------------------------------------------
// ֐ : Jiro_NumStrToCommaStr
// @\ : lR}t̕ɕϊ
//-------------------------------------------------------------
void Jiro_NumStrToCommaString( char* inSrcStr, char* outDestStr );

//-------------------------------------------------------------
// ֐ : Jiro_StripCharFromEnd
// @\ : ̌ɂAw蕶폜
//-------------------------------------------------------------
void Jiro_StripCharFromEnd( char* ioStr, char inDelCh );

//-------------------------------------------------------------
// ֐ : Jiro_StripCharFromStart
// @\ : ̐擪ɂAw蕶폜
//-------------------------------------------------------------
void Jiro_StripCharFromStart( char* ioStr, char inDelCh );

//-------------------------------------------------------------
// ֐ : Jiro_ReplaceString
// @\ : ̒u
//-------------------------------------------------------------
void Jiro_ReplaceString( char* ioTargetStr, const char* inFindStr, const char* inReplaceStr );

//-------------------------------------------------------------
// ֐ : Jiro_Num_To_2byteStr
// @\ : Spɕϊ
//-------------------------------------------------------------
void Jiro_Num_To_2byteStr( long inNum, char* outStr );

//-------------------------------------------------------------
// ֐ : Jiro_GetSplitWordCount
// @\ : Ώە؂蕶ŋ؂ꍇ̒PꐔԂB
//-------------------------------------------------------------
long Jiro_GetSplitWordCount(char * inStr, char * inSplitStrAry[], long inSplitStrCnt);

//-------------------------------------------------------------
// ֐ : Jiro_GetSplitWord
// @\ : Ώە؂蕶ŋ؂ꍇ̒PԂB
//-------------------------------------------------------------
void Jiro_GetSplitWord(char * inStr, char * inSplitStrAry[], long inSplitStrCnt, long inWordIndex, char * outWord, long inMaxLength);

//-------------------------------------------------------------
// ֐ : Jiro_GetIndexOfLastChar
// @\ : Sp̍񂩂w肵pŌɏoĂCfbNXԂ
// add_tsunoda 030409
//-------------------------------------------------------------
long Jiro_GetIndexOfLastChar( const char* inStr, char inOffset );

//-------------------------------------------------------------
// ֐ : Jiro_IsTheSamedDouble
// @\ : Q̂cntakd^vH
// add_hisa 050315
//-------------------------------------------------------------
bool Jiro_IsTheSamedDouble( double inVal1, double inVal2 );

//-------------------------------------------------------------
// ֐ : Jiro_DoubleToChar
// @\ : double^char^ϊ( _ȉl )
// add_hisa 050315
//-------------------------------------------------------------
void Jiro_DoubleToChar( double inNumVal, long inDigits, char* outNumBuff );

//-------------------------------------------------------------
// ֐ : Jiro_Malloc
// @\ : obt@m
// add_hisa 050315
//-------------------------------------------------------------
char* Jiro_Malloc( long inBuffSize );

//-------------------------------------------------------------
// ֐ : Jiro_MallocFree
// @\ : obt@
// add_hisa 050315
//-------------------------------------------------------------
void Jiro_MallocFree( void* inBuffer );

//-------------------------------------------------------------
// ֐F Jiro_GetViewDateStringFromDataChars
// @\ : 𕶎
// char inSourceChars[18]  // YYYYMMDDHHMMSS000
// char outDestStr[17]  // YYYY/MM/DD HH:MM
//			               01234567890123456
// add_igari 070220
//-------------------------------------------------------------
void Jiro_GetViewDateStringFromDataChars( char* inSourceChars, char* outDestStr );

//-------------------------------------------------------------
// ֐F Jiro_GetFileSizeString
// @\ : t@CTCY擾
// add_igari 070220
//-------------------------------------------------------------
void Jiro_GetFileSizeString( long inFileSize, char* outFileSizeStr );

//-------------------------------------------------------------
// ֐ : Jiro_MakeVersionString 
// @\ : o[W쐬
// inComma = J}iOAPCQjAȊOׂ͂Ă̌
// add_hisa 070220
//-------------------------------------------------------------
void Jiro_MakeVersionString( const char* inValue, long inComma, char* outVersion );

//-------------------------------------------------------------
// ֐ : Jiro_Strcmp
// @\ : 啶ʂɕr
//  : strcasecmpwindowsɂȂ̂ŁAOŎ
// add tamura 070828
//-------------------------------------------------------------
long Jiro_Strcmp( const char* s1, const char* s2 );

//-------------------------------------------------------------
// ֐ : Jiro_ConvertSecToDateString
// @\ : btɕϊ
// sugimoto 080606
//-------------------------------------------------------------
void Jiro_ConvertSecToDateString( unsigned long inSec, char* outTimeStr );

//-------------------------------------------------------------
// ֐ : Jiro_rindex
// @\ : Sp̍񂩂w肵pŌɏoĂʒuԂ
// Vtgihr
// add tamura 080606
//-------------------------------------------------------------
char* Jiro_rindex( const char* inStr, char inChar );

//-------------------------------------------------------------
// ֐ : Jiro_index
// @\ : Sp̍񂩂w肵pŏɏoĂʒuԂ
// Vtgihr
// add tamura 080606
//-------------------------------------------------------------
char* Jiro_index( const char* inStr, char inChar );

//-------------------------------------------------------------
// ֐ : Jiro_Strcasestr
// @\ : 񂪕񒆂ōŏɌʒuïɑ΂đ啶𖳎j
// add tamura 080606
//-------------------------------------------------------------
const char* Jiro_Strcasestr( const char* inHaystack, const char* inNeedle );

//-------------------------------------------------------------
// ֐F Jiro_GetStringLength
// @\ : Spplāui{́hhQoCgł͂ȂPƔjv擾
// add_hisa 090513
//-------------------------------------------------------------
long Jiro_GetStringLength( const char* inStr );

//-------------------------------------------------------------
// ֐ : Jiro_GetTextEncoding
// @\ : GR[fBO擾
// add_hisa 090730
//-------------------------------------------------------------
bool Jiro_GetTextEncoding( const char* inTextData, long inTextDataSize, char* outEncoding );

//-------------------------------------------------------------
// ֐ : Jiro_FindLastString
// @\ : 񂩂ŌɌ
// EŌɌꂽ̐擪w|C^ԂBȂꍇ null ԂB
// EI[ '\0' ͌ΏۂƂȂȂ
// Epp̑啶Əʂ
// add_hisa 110720
//-------------------------------------------------------------
char* Jiro_FindLastString( const char* inTargetStr, const char* inSearchStr );

//----------------------------------------------
// ֐ : Jiro_StrToLower
// @\ : 񒆂̉p啶ɕϊ
// add_hisa 110720
//----------------------------------------------
const char* Jiro_StrToLower( const char* inStr );

#ifdef __cplusplus
}
#endif

#endif
