// TYPE: C
// PRJ: JCL
// PGM: Jiro_File
// VER: 1.10
// USES: Visual C++(MFC), JCL
// CREATE: 2000/11/27( Siratori )
// UPDATE: 2005/07/01( Yamamoto, tsunoda )
// UPDATE: 2005/07/11( hisa )
/////////////////////////////////////////////////////
#ifndef __JIRO_FILE__
#define __JIRO_FILE__

//***********************************************************
// 萔
//***********************************************************
#define kLogFileName			"jiro_log.txt"	// OopX

#define kFopen_Error		(-1)
#define kFileSize_Error		(-2)
#define kMalloc_Error		(-3)
#define kBinaryFile			1

//***********************************************************
// \
//***********************************************************

//***********************************************************
// O֐̃vg^Cv錾
//***********************************************************
//-----------------------------------------------------
// ֐ : Jiro_LogOut
// @\ : ԕtOt@Co
//-----------------------------------------------------
void Jiro_LogOut( char * inFormat, ... );

//-----------------------------------------------------
// ֐ : LogDelete
// @\ : o͂Ot@C폜
//-----------------------------------------------------
void Jiro_LogDelete();

//-----------------------------------------------------
// ֐ : Jiro_ReadBuffer_fromFile
// @\ : t@Cobt@ɓǂݍ
//-----------------------------------------------------
long Jiro_ReadBuffer_fromFile( const char* inFilePath, char** outBuff );

//-----------------------------------------------------
// ֐ : Jiro_IsFileExists
// @\ : wt@C݂邩ׂ
// Ԓl : true	... ݂
//        false	... ݂Ȃ
// 20050831 add (shiina, yatou)  t@C݂̑fopenŒׂ邵Ȃ
//-----------------------------------------------------
bool Jiro_IsFileExists( const char * inFilePath );

//-----------------------------------------------------
// ֐ : Jiro_GetFileName
// @\ : t@CpXt@Co
// add_tamura 071026
//-----------------------------------------------------
void Jiro_GetFileName( const char* inFilePath, char* outFileName );

//-----------------------------------------------------
// ֐ : Jiro_GetFolderPath
// @\ : t@CpXtH_pX؂o
//-----------------------------------------------------
void Jiro_GetFolderPath( const char* inFilePath, bool inIsEndSeparator, char* outFolderPath );

//-----------------------------------------------------
// ֐ : Jiro_GetDesktopPath
// @\ : fXNgbṽpX擾
// add tamura 071226
//-----------------------------------------------------
void Jiro_GetDesktopPath( char* outDesktopPath );

//-----------------------------------------------------
// ֐ : Jiro_GetAppDirectoryPath
// @\ : exe(s\t@C)fBNgpX擾
// GetCurrentDirectory( MAX_PATH, outAppDirPath );	ł́A
// Avփt@ChbvċNƂAst@CpX擾łȂ
//-----------------------------------------------------
void Jiro_GetAppDirectoryPath( char* outAppDirPath );

//-----------------------------------------------------
// ֐ : Jiro_GetExtension
// @\ : gq擾
// add_hisa 081024
//-----------------------------------------------------
void Jiro_GetExtension( const char* inFilePath, char* outExt );

//-----------------------------------------------------
// ֐ : Jiro_IsFolder
// @\ : tH_ǂ
//-----------------------------------------------------
bool Jiro_IsFolder( const char* inFileOrFolderPath );

//-----------------------------------------------------
// ֐ : Jiro_GetFileSize
// @\ : t@CTCY擾
//-----------------------------------------------------
long Jiro_GetFileSize( const char* inFilePath );

//-----------------------------------------------------
// ֐ : Jiro_IsValidFile
// @\ : Lȃt@C
// Ԓl : true	... Ȃ
//        false	... t@C
//-----------------------------------------------------
bool Jiro_IsValidFile( const char * inFilePath, long inMaxSize );

//-----------------------------------------------------
// ֐ : Jiro_GenerateUniqueFilePath
// @\ : j[Nȃt@CpX𐶐
//  : inDirectory ̍Ōɂ'/'Ȃ
// add_hisa, takaesu 071105
//-----------------------------------------------------
void Jiro_GenerateUniqueFilePath( const char* inDirectory, const char* inFineName, const char* inExt, char* outUniqueFilePath );

//-----------------------------------------------------
// ֐ : Jiro_IsBinaryFile
// @\ : oCit@CH
//-----------------------------------------------------
long Jiro_IsBinaryFile( const char* inFilePath );

//-----------------------------------------------------
// ֐ : Jiro_SystemErrorLog
// @\ : Ot@CAvP[Vɏo͂
//-----------------------------------------------------
void Jiro_SystemErrorLog( char* inFormat, ... );

//-----------------------------------------------------
// ֐ : Jiro_WriteBuffer_toFile
// @\ : obt@t@Cɏ
//-----------------------------------------------------
long Jiro_WriteBuffer_toFile( const char* inFilePath, long inBuffSize, const char* inBuff );

//------------------------------------------------
// ֐ : Jiro_RemoveExtension
// @\ : gq菜
//------------------------------------------------
void Jiro_RemoveExtension( const char* inPath, char* outPath );

//-----------------------------------------------------
// ֐ F Jiro_DividePath_ToDirectoryAndFileName
// @\ F pXufBNgpXvƁut@Cvɕ
//-----------------------------------------------------
void Jiro_DividePath_ToDirectoryAndFileName( char* inFilePath, char* outDirPath, char* outFileName );

#if _MSC_VER >= 1300
//-----------------------------------------------------
// ֐ : Jiro_GetProgramFilesPath
// @\ : vOt@CYpX擾
//-----------------------------------------------------
void Jiro_GetProgramFilesPath( char* outDesktopPath );
#endif

//-----------------------------------------------------
// ֐ : Jiro_MakeFindFilter
// @\ : tB^[쐬
//-----------------------------------------------------
void Jiro_MakeFindFilter( const char* inDirPath, char* outFindFilter );

#endif
