// TYPE: C
// PRJ: JCL
// PGM: Jiro_TAB
// VER: 1.40
// USES: CodeWarrior, VC, Xcode
// CREATE: 1999/02/21( Shiratori )
// UPDATE: 2000/06/02( Shiratori )
// CREATE: 2007/04/02( tamura )
// UPDATE: 2009/03/16( igari, tamura )
// UPDATE: 2011/03/02( hisa )
/////////////////////////////////////////////////////
// 000602 - lr-cnr`̉sɂΉ
// 070402 - Linux(CR/LF/CRLFɑΉ)
// 090316 - 񐔎擾֐ǉ
// 110302 - l^ɑΉ
#ifndef __JIRO_TAB__
#define __JIRO_TAB__

#include "Jiro_Types.h"

//***********************************************************
// \
//***********************************************************
typedef struct JIRO_TAB
{
	char * 	textPtr;		// TABf[^obt@(NULL Terminate)
	char * 	textEndPos;		// obt@̍ŏIʒu
	bool	isCountEmpRow;	// sH
	char * 	currentRowPos;	// ݂̍s̊Jnʒu
} JIRO_TAB;

#ifdef __cplusplus
extern "C" {
#endif

//***********************************************************
// O֐̃vg^Cv錾
//***********************************************************
// -------------------------------------------------
// ֐ : Jiro_TAB_Init
// @\ : TAB e[ȕ
// outTabTblPtr (out) : TAB e[u
// textPtr (in) : TAB f[^Ă镶
// -------------------------------------------------
void Jiro_TAB_Init( JIRO_TAB* outTabTblPtr, char* inTextPtr );

// -------------------------------------------------
// ֐ : Jiro_TAB_GetRowCount
// @\ : s擾
// inTabTblPtr (in) : TAB e[u
// ߒl: s
// mod_tamura 090316 CR/LF/CRLFɑΉ
//--------------------------------------------------
long Jiro_TAB_GetRowCount( JIRO_TAB * inTabTblPtr );

// -------------------------------------------------
// ֐ : Jiro_TAB_FirstRow
// @\ : 擪sɈړ
// inTabTblPtr (in) : TAB e[u
// ߒl:true( 擪sɈړ)Afalse( 擪sȂ)
// -------------------------------------------------
bool Jiro_TAB_FirstRow( JIRO_TAB* ioTabTblPtr );

// -------------------------------------------------
// ֐ : Jiro_TAB_NextRow
// @\ : ̍sɈړ
// inTabTblPtr (in) : TAB e[u
// ߒl:true( sɈړ)Afalse( sȂ)
// -------------------------------------------------
bool Jiro_TAB_NextRow( JIRO_TAB* ioTabTblPtr );

// -------------------------------------------------
// ֐ : Jiro_TAB_GetFieldSize
// @\ : ݂̍s̎w肳ꂽ̃f[^TCY擾B
// inTabTblPtr (in) : TAB e[u
// column (in) : 擾tB[h̔ԍ(0 ͂܂)
// ߒl: f[^TCY
// -------------------------------------------------
long Jiro_TAB_GetFieldSize( JIRO_TAB* inTabTblPtr, long inColumn );

// -------------------------------------------------
// ֐ : Jiro_TAB_GetFieldData
// @\ : ݂̍s̎w肳ꂽ̃f[^擾B
// inTabTblPtr (in) : TAB e[u
// column (in) : 擾tB[h̔ԍ(0 ͂܂)
// bufLength (out) : tB[h̒l̃TCY
// outBufPtr (out) : tB[h̒l
// -------------------------------------------------
bool Jiro_TAB_GetFieldData( JIRO_TAB* inTabTblPtr, long inColumn, long inBufLength, char* outBufPtr );

// -------------------------------------------------
// ֐ : Jiro_TAB_GetNumOfColumns
// @\ : ݂̍s̗񐔂擾
// add_igari 090316
// -------------------------------------------------
long Jiro_TAB_GetNumOfColumns( JIRO_TAB * inTabTblPtr );

// -------------------------------------------------
// ֐ : Jiro_TAB_GetFieldDoubleValue
// @\ : ݂̍s̎w肳ꂽ񂩂cntakd^f[^擾
// add_hisa 110302
// -------------------------------------------------
double Jiro_TAB_GetFieldDoubleValue( JIRO_TAB* inTabTblPtr, long inColumn );

// -------------------------------------------------
// ֐ : Jiro_TAB_GetFieldIntValue
// @\ : ݂̍s̎w肳ꂽ񂩂琔l^f[^擾
// add_hisa 110302
// -------------------------------------------------
long Jiro_TAB_GetFieldIntValue( JIRO_TAB* inTabTblPtr, long inColumn );

#ifdef __cplusplus
}
#endif

#endif
